<div class="category-sidebar">


  <ngb-accordion #acc="ngbAccordion">

    <ngb-panel *ngIf="!seeSubscriptions">
      <ng-template ngbPanelHeader>
        <button class="all-topics-btn subscriptionBtn" [routerLink]="['/personal-subscriptions']">See
          my subscriptions</button>
      </ng-template>
    </ngb-panel>
    <ngb-panel>
      <ng-template ngbPanelHeader>

        <button class="all-topics-btn topicsBtn" (click)="displayAll()">All topics</button>

      </ng-template>
    </ngb-panel>
    <ngb-panel *ngFor="let category of categories" (click)="sendMessage(category.name)" [id]="category.id">

      <ng-template ngbPanelHeader>
        <button ngbPanelToggle class="btn btn-link container-fluid text-left pl-0">{{category.name}}</button>
        <app-edit-delete-dropdown *ngIf="editable" [isCategory]="true" [categoryId]="category.id"
          (editCategoryClick)="onEditCategoryClicked($event)" (deleteCategoryClick)="onDeleteCategoryClicked($event)">
        </app-edit-delete-dropdown>
      </ng-template>
      <ng-template ngbPanelContent>
        <ul class="sub-category-list">
          <li *ngFor="let subCat of category.subCategories" (click)="sendMessage(subCat.name)" class="sub-category">
            <p class="sub-category-text container-fluid text-left pl-0">
              {{subCat.name}}
            </p>
            <div class="sub-cat-option-menu">
              <app-edit-delete-dropdown *ngIf="editable" [isSubCategory]="true" [categoryId]="category.id"
                [subCategoryId]="subCat.id" (editSubCategoryClick)="onEditSubCategoryClicked($event)"
                (deleteSubCategoryClick)="onDeleteSubCategoryClicked($event)"></app-edit-delete-dropdown>
            </div>
          </li>
          <li *ngIf="editable" class="new-sub-category-item">
            <div class="category-input-container">
              <input class="input" placeholder="New subcategory..." type="text"
                [(ngModel)]="indexedNewSubCategories[category.id.toString()]">
              <img (click)="onNewSubCategoryClicked(category.id)" src="../../assets/images/plus-sign-white.png"
                alt="Plus sign" class="new-category-icon">
            </div>
          </li>
        </ul>
      </ng-template>
    </ngb-panel>


    <ngb-panel *ngIf="editable" class="new-category-panel" id="new-category">
      <ng-template ngbPanelHeader>
        <div class="category-input-container title">
          <input class="input" placeholder="New category..." type="text" [(ngModel)]="newCategoryName">
          <img (click)="onNewCategoryClicked()" src="../../assets/images/plus-sign-white.png" alt="Plus sign"
            class="new-category-icon">
        </div>
      </ng-template>
    </ngb-panel>


  </ngb-accordion>

</div>
